Thursday, March 21, 2013

ORA-00704: bootstrap process failure ORA-39700: database must be opened with UPGRADE option

Hi All,

To day I have faced the problem with  ORA-00704: bootstrap process failure ORA-39700: database must be opened with UPGRADE option errors while opening the database which is created newly.
There may be 3 possibilites to get above errors. I have solved my problem by using 3 rd option.

1) giving wrong or old ORACLE_HOME or PATH variables while opening newly upgraded DAtabase.
Solution:
set or export ORACLE_HOME= <newly upgraded ORACLE_HOME>
set or export PATH=<newly upgraded PATH variables>

2) After upgraing the ORACLE_HOME, if you missed to run catupgrd.sql script, we will get above errors while starting the datbase.

Solution:

sqlplus / as sysdba
sql>startup upgrade
sql>@<ORACLE_HOME>/rdbms/admin/catupgrd.sql
sql>@<ORACLE_HOME>/rdbms/admin/utlrp.sql
sql>shut immediate
sql>startup

3) After creation of new database if we missed to execute catalog.sql,catproc.sql or  executed with errors also we will get above errors.

Solution:

sqlplus / as sysdba
sql>startup upgrade
sql>@<ORACLE_HOME>/rdbms/admin/catalog.sql
sql>@<ORACLE_HOME>/rdbms/admin/catproc.sql
sql>shut immediate
sql>startup
 

1 comment:

  1. I installed 11g (11.2.0.3) and facing this exact same error. Its not even a upgrade, just a fresh install. I'm getting this error as soon as I recycle DB after runnning catalog.sql
    Just performed following steps which are mentioned by you but it isnt helping:
    >startup upgrade pfile=init.ora
    >@catalog.sql
    >@catproc.sql
    >shutdown
    >startup

    Any idea?

    ReplyDelete